## ros-kinetic-roch-capabilities 2.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_capabilities)

find_package(catkin REQUIRED)

catkin_package()


install(DIRECTORY interfaces providers launch param
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

=== debian/changelog ===
ros-kinetic-roch-capabilities (2.0.15-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-capabilities (2.0.14-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-capabilities (2.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-capabilities (1.0.13-0xenial) xenial; urgency=high

  * Modified: run depend of roch_capabilities.

 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-capabilities (1.0.12-0xenial) xenial; urgency=high

  * Create.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Wed, 15 Feb 2017 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roch-capabilities
Section: misc
Priority: extra
Maintainer: Carl <wzhang@softrobtech.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/roch_capabilities
Standards-Version: 3.9.2

Package: ros-kinetic-roch-capabilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-nodelet, ros-kinetic-roch-base, ros-kinetic-rocon-app-manager, ros-kinetic-rocon-apps, ros-kinetic-std-capabilities
Description: Capabilities for Roch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roch-capabilities//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
